MCP Tools Reference: paydeveloper.googleapis.com

工具:validate_pass_jwt

验证通行证的 JWT 表示形式,或通行证的未编码 JWT 载荷(以 JSON 字符串形式)。

以下代码示例展示了如何使用 curl 调用 validate_pass_jwt MCP 工具。

Curl 请求
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "validate_pass_jwt",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

输入架构

用于验证通行卡 JWT 表示形式或未编码的通行卡 JWT 载荷(以 JSON 字符串形式)的请求消息。

ValidatePassJwtRequest

JSON 表示法
{

  // Union field resource can be only one of the following:
  "passJwt": string,
  "passJson": string
  // End of list of possible types for union field resource.
}
字段
联合字段 resource。要验证的资源。必须设置其中一个。resource 只能是下列其中一项:
passJwt

string

表示 JWT 的字符串,其格式如下:https://developers.google.com/wallet/reference/rest/v1/Jwt

passJson

string

一个 JSON 字符串,表示卡券的未编码 JWT 载荷,其格式如下:https://developers.google.com/wallet/reference/rest/v1/Jwt。此值可以设置为此链接中描述的整个 JSON 表示形式,也可以仅设置为包含相关卡券类和对象的载荷字段的内容。

输出架构

用于验证通行卡的 JWT 表示形式或通行卡的未编码 JWT 载荷(以 JSON 字符串形式)的响应消息。

工具注释

工具注释会发送给 MCP 客户端,用于描述指定工具的基本风险。大多数客户端会将这些提示视为不受信任的,但它们可用于确定何时向用户发送确认提示。

除了标题字符串之外,还定义了以下布尔值提示:

  • readOnlyHint:如果为 true,则工具不会修改其环境。默认值:false。
  • destructiveHint:如果为 true,则工具可以执行破坏性操作。如果为 false,则该工具只能执行添加操作。默认值:true。
  • idempotentHint:如果为 true,则使用相同实参重复调用该工具不会对其环境产生任何额外影响。默认值:false。
  • openWorldHint:如果为 true,则工具可以与外部实体的“开放世界”互动。如果为 false,则该工具只能与内部实体互动。例如,网络搜索工具是开放世界工具,而内存工具不是开放世界工具。

破坏性提示:❌ | 等幂性提示:✅ | 只读提示:✅ | 开放世界提示:❌